#include "windows.inc"
#include "commctrl.inc"
#include "lame.inc"
#include "resource.inc"
#include "shlwapi.inc"
#include "wmsdkidl.inc"
#include "stdio.inc"

declare extern MakeSureDirectoryPathExists(PCSTR DirPath),BOOL;
declare extern RemoveFileSpecIfExists(string *szPath);
declare extern RemoveFileExtIfExists(string *szPath);
declare extern BrowseFolder(HWND hwnd,string szTitle,string szFolderPath),BOOL;
declare extern ProcessMessages(),BOOL;
declare cdecl import, __GetMainArgs(int *argc, LPSTR *argv, LPSTR *environ, opt int unknown=0),int;


enum MYFLAGS
{
	PATH_IS_FOLDER = 1,
	PATH_IS_MULTI_FILE = 2
}

class CDlg
{
	declare OnCreate();
	declare OnClose();
	declare OnCommand(WPARAM wParam, HWND hwndControl);
	declare OnDropFiles(HDROP hDrop);

	declare BrowseSourceFile();
	declare BrowseSourceFolder();
	declare BrowseDestinationFile();
	declare BrowseDestinationFolder();

	declare Start();
	declare InitializeConversion();
	declare DeinitializeConversion();
	declare Convert(string filein,string fileout),HRESULT;
	declare Recurse(string szSourceDir,string szDestinationDir);
	declare ProcessFileByType(string* pszSource); // commandline + OnDropFiles

	HWND    m_hwnd;
	BOOL    m_cancel;
	dstring m_szSrcFolderPath[MAX_PATH];
//	dstring m_dstPath[MAX_PATH];
}


/*
 * single file - _printbuf = "";    m_szSrcFolderPath = "";
 * multi  file - _printbuf = files; m_szSrcFolderPath = "";
 * folder      - _printbuf = "";    m_szSrcFolderPath = folder;
*/